Subject: Re: bug#58133: 29.0.50; Tramp do not parse auth-sources

From: Shuguang Sun <[email-masked]>
Date: Mon, 10 Oct 2022 21:55:23 +0800

Dear all,

This happened from the commit be2e6228f8c9c57d2809bdd953d065ebfc63d4c4 (Aug 26) in which the
`tramp-completion-file-name-handler` becames:

"\\`\\(?:\\`[[:alpha:]]:\\)?\\(?:^/\\)\\(?:\\(?:\\(?5:-\\|[[:alnum:]]\\{2,\\}\\)\\(?::\\)\\(?:\\(?:\\(?6:[^/:|[:blank:]]+\\)\\(?:@\\)\\)?\\(?:\\(?7:\\(?:[%._[:alnum:]-]+\\|\\(?:\\[\\)\\(?:\\(?:[[:alnum:]]*:\\)+[.[:alnum:]]*\\)?\\(?:]\\)\\)\\(?:\\(?:#\\)\\(?:[[:digit:]]+\\)\\)?\\)\\)?\\)\\)\\(?:|\\)\\)*\\(?:\\(?:-\\|[[:alnum:]]+\\)\\(?:\\(?::\\)\\(?:[%._[:alnum:]-]+\\)?\\)?\\)?\\'"

Before that the `tramp-completion-file-name-handler` (b7e867b841f47dcff3aeaef9b5608a237386ce70, Aug 23) is

"\\`\\(?:[[:alpha:]]:\\)?/\\(\\([^/|:]+:[^/|:]*|\\)*\\(-\\|[^/|:]\\{2,\\}\\)\\(:[^/|:]*\\)?\\)?\\'"

which works. And if I run

```
(add-to-list
 'file-name-handler-alist
 (cons "\\`\\(?:[[:alpha:]]:\\)?/\\(\\([^/|:]+:[^/|:]*|\\)*\\(-\\|[^/|:]\\{2,\\}\\)\\(:[^/|:]*\\)?\\)?\\'"  #'tramp-completion-file-name-handler))
```

then tramp can make completion, e.g., when I do `find-file` and input
"/", the tramp-methods will come to the completion list.

Shuguang Sun via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> writes:

> Dear all,
>
> From this August, tramp seems not to parse the auth-sources (.authinfo.gpg).
>
> When I press `C-x C-f /plink:`, there is no completion provided. However
> `(tramp-parse-auth-sources "plink")` does as expected and provides a
> list of user and url cons from auth-sources. I add some print stuffs to
> the relevant tramp functions an find out that it seems the step about
> `tramp-parse-auth-sources` is not executed.
>
> By the way, Emacs compile `cl-loaddefs.el` and `tramp-loaddefs.el` at
> the first time relevant function be called.
>
> ``` Compiling
> c:/msys64/mingw64/share/emacs/29.0.50/lisp/emacs-lisp/cl-loaddefs.el...
> Compiling
> c:/msys64/mingw64/share/emacs/29.0.50/lisp/net/tramp-loaddefs.el...
> ```
>
> Best Regards,
> Shuguang Sun
>
> In GNU Emacs 29.0.50 (build 1, x86_64-w64-mingw32) of 2022-09-26 built
> Repository revision: a386833503430732a5c9bed8dbc5c3073f72b5ab
> Repository branch: master
> Windowing system distributor 'Microsoft Corp.', version 10.0.19044
> System Description: Microsoft Windows 10 Pro (v10.0.2009.19044.2006)
>
> Configured using:
>  'configure --without-pop --with-native-image-api
>  --with-native-compilation --without-compress-install
>  '--program-transform-name=s/^ctags$/ctags.emacs/''
>
> Configured features:
> ACL DBUS GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES
> NATIVE_COMP NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
> TOOLKIT_SCROLL_BARS WEBP XPM ZLIB
>
> Important settings:
>   value of $LANG: CHS
>   locale-coding-system: cp936
>
>
>
>

-- 
Best Regards
Shuguang Sun